Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxCapsuleControllerDesc Class Reference

Descriptor class for PhysxCapsuleController. More...

`#include "physxCapsuleControllerDesc.h"`

Inheritance diagram for PhysxCapsuleControllerDesc:

## Public Member Functions
float | get_height () const
| The distance between the two hemispherical ends of the capsule.
float | get_radius () const
| The radius of the capsule's hemispherical ends and its trunk.
bool | is_valid () const
| Returns true if the descriptor is valid.
NxControllerDesc * | ptr () const
void | set_height (float height)
| Sets the distance between the two hemispherical ends of the capsule.
void | set_radius (float radius)
| Sets the radius of the capsule's hemispherical ends and its trunk.
void | set_to_default ()
| (re)sets the structure to the default.
Public Member Functions inherited from PhysxControllerDesc
bool | get_interaction_flag () const
| Returns the interaction flag.
LPoint3f | get_pos () const
| Returns the position of the character.
float | get_skin_width () const
| Returns the skin width used by the controller.
float | get_slope_limit () const
| Returns the maximum slope which the character can walk up.
float | get_step_offset () const
| Returns the maximum height of an obstacle which the character can climb.
void | set_interaction_flag (bool interactionFlag)
| The interaction flag controls if a character controller collides with other controllers.
void | set_pos (const LPoint3f &pos)
| Set the position of the character.
void | set_skin_width (float skinWidth)
| Sets the skin width used by the controller.
void | set_slope_limit (float slopeLimit)
| Sets the maximum slope which the character can walk up.
void | set_step_offset (float setpOffset)
| Defines the maximum height of an obstacle which the character can climb.

## Public Attributes
NxCapsuleControllerDesc | _desc

## Detailed Description

Descriptor class for PhysxCapsuleController.

Definition at line 25 of file physxCapsuleControllerDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxCapsuleControllerDesc()

PhysxCapsuleControllerDesc::PhysxCapsuleControllerDesc | ( |  | ) |
| inline

Definition at line 17 of file physxCapsuleControllerDesc.I.

## ◆ ~PhysxCapsuleControllerDesc()

PhysxCapsuleControllerDesc::~PhysxCapsuleControllerDesc | ( |  | ) |
| inline

Definition at line 26 of file physxCapsuleControllerDesc.I.

## Member Function Documentation

## ◆ get_height()

float PhysxCapsuleControllerDesc::get_height | ( |  | ) | const

The distance between the two hemispherical ends of the capsule.

Definition at line 46 of file physxCapsuleControllerDesc.cxx.

## ◆ get_radius()

float PhysxCapsuleControllerDesc::get_radius | ( |  | ) | const

The radius of the capsule's hemispherical ends and its trunk.

Definition at line 37 of file physxCapsuleControllerDesc.cxx.

## ◆ is_valid()

bool PhysxCapsuleControllerDesc::is_valid | ( |  | ) | const
| inline virtual

Returns true if the descriptor is valid.

Implements PhysxControllerDesc.

Definition at line 43 of file physxCapsuleControllerDesc.I.

## ◆ ptr()

NxControllerDesc * PhysxCapsuleControllerDesc::ptr | ( |  | ) | const
| inline virtual

Implements PhysxControllerDesc.

Definition at line 41 of file physxCapsuleControllerDesc.h.

## ◆ set_height()

void PhysxCapsuleControllerDesc::set_height | ( | float | height | ) |

Sets the distance between the two hemispherical ends of the capsule.

Definition at line 28 of file physxCapsuleControllerDesc.cxx.

## ◆ set_radius()

void PhysxCapsuleControllerDesc::set_radius | ( | float | radius | ) |

Sets the radius of the capsule's hemispherical ends and its trunk.

Definition at line 19 of file physxCapsuleControllerDesc.cxx.

## ◆ set_to_default()

void PhysxCapsuleControllerDesc::set_to_default | ( |  | ) |
| inline virtual

(re)sets the structure to the default.

Implements PhysxControllerDesc.

Definition at line 34 of file physxCapsuleControllerDesc.I.

## Member Data Documentation

## ◆ _desc

NxCapsuleControllerDesc PhysxCapsuleControllerDesc::_desc

Definition at line 42 of file physxCapsuleControllerDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxCapsuleControllerDesc.h
- panda/src/physx/physxCapsuleControllerDesc.cxx
- panda/src/physx/physxCapsuleControllerDesc.I